Create execution status message
curl --request POST \
--url https://platform.kodexa.ai/api/executions/{executionId}/status-messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"subtitle": "<string>"
}
'import requests
url = "https://platform.kodexa.ai/api/executions/{executionId}/status-messages"
payload = {
"title": "<string>",
"subtitle": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', subtitle: '<string>'})
};
fetch('https://platform.kodexa.ai/api/executions/{executionId}/status-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datetime": "2023-11-07T05:31:56Z",
"executionId": "<string>",
"id": "<string>",
"subtitle": "<string>",
"title": "<string>",
"type": "THINKING"
}Executions
Create execution status message
Creates a new status message for the specified execution. A maximum of 10 messages are kept per execution; older messages are automatically removed.
POST
/
api
/
executions
/
{executionId}
/
status-messages
Create execution status message
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the execution.
Body
application/json
Response
Status message created
A status message for an execution, providing live feedback about what the system is doing.
When this status message was created.
ID of the execution this message belongs to.
Unique identifier of the status message.
Optional secondary message text.
Main status message text.
Status type.
Available options:
THINKING, SEARCHING, PLANNING, REVIEWING, PROCESSING, ANALYZING, WRITING, WAITING 